Tool
realtime_namespace_update
Update the policy of a realtime namespace
Update the policy of a realtime namespace
Behavior
- HTTP
PATCH /realtime/namespaces/:name
Arguments
Name | Type | Required | Description |
|---|---|---|---|
name | string | • | Namespace name to update |
archive | string | — | History archive policy: off, or durably retain archived entries for N days (requires history != "none") |
history | string | — | History retention policy for channels in this namespace |
presence | boolean | — | Whether presence is enabled on channels in this namespace |
visibility | string | — | public: any authenticated identity may subscribe without a grant |
clientEvents | boolean | — | Whether clients may publish events directly |
identifiedOnly | boolean | — | Whether only identified (non-anonymous) identities get capabilities |
subscribeProxyUrl | string | — | If set, token mint consults this URL per requested channel (fail-closed); null disables |
encryptionRequired | boolean | — | Whether payloads must be end-to-end encrypted |
historyWindowSeconds | integer | — | Retention window in seconds; required when history is "window" |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
name | string | • | |
archive | string | • | History archive policy |
history | string | • | |
presence | boolean | • | |
createdAt | string | • | |
updatedAt | string | • | |
visibility | string | • | |
clientEvents | boolean | • | |
identifiedOnly | boolean | • | |
subscribeProxyUrl | string | • | |
encryptionRequired | boolean | • | |
historyWindowSeconds | integer | • | |
subscribeProxySecret | string | — | Full proxy signing secret — returned ONLY when subscribeProxyUrl is set/changed |
subscribeProxySecretPrefix | string | • | Visible prefix of the proxy signing secret; null when no proxy url is set |
Try it
Update the policy of a realtime namespace.